Skip to main content
`Ctrl`+`K`

# ISRestoreIndices

Restores an index set to a usable state after a call to `ISGetIndices()`.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISRestoreIndices(IS is, const PetscInt *ptr[])

Not Collective

## Input Parameters

- is - the index set

- ptr - the pointer obtained by `ISGetIndices()`

## Fortran Note

      PetscInt, pointer :: ptr(:)

## See Also

`IS`, `ISGetIndices()`

## Level

intermediate

## Location

src/vec/is/is/interface/index.c

## Examples

src/snes/tutorials/ex56.c
src/ksp/ksp/tutorials/ex87.c
src/ksp/ksp/tutorials/ex76.c
src/ksp/ksp/tutorials/ex76f.F90
src/dm/impls/plex/tutorials/ex8.c
src/snes/tutorials/ex13.c
src/dm/tutorials/ex22.c
src/ksp/ksp/tutorials/ex71.c
src/dm/impls/plex/tutorials/ex10.c
src/dm/tutorials/swarm_ex3.c

## Implementations

ISRestoreIndices_Block() in src/vec/is/is/impls/block/block.c
ISRestoreIndices_General() in src/vec/is/is/impls/general/general.c
ISRestoreIndices_Stride() in src/vec/is/is/impls/stride/stride.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages